<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: streamstatus_panel.php
| Author: Andre Krell (systemweb.de & krelli.com)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) {
    die("Access Denied");
}

if (!checkrights("SWSS") || !defined("iAUTH") || $_GET['aid'] != iAUTH) {
    redirect(BASEDIR . "index.php");
}

$result = dbquery("SELECT * FROM " . DB_STREAMSTATUS_SETTINGS);
if (dbrows($result)) {
    while ($data = dbarray($result)) {
        $ssp_setting[$data['settings_name']] = $data['settings_value'];
    }
}

$page = (isset($_GET['page']) ? $_GET['page'] : "");

if ($page != "settings" && $page != "channels" && $page != "covers") {
    $page = "settings";
}

echo "<table cellpadding='0' cellspacing='0' class='tbl-border' align='center' style='width:auto; margin-bottom:20px; text-align:center;'>\n<tr>\n";
echo "<td class='" . ($page == "settings" ? "tbl2" : "tbl1") . "'>" . ($page == "settings" ? $locale['SSP_101'] : "<a href='" . FUSION_SELF . $aidlink . "'>" . $locale['SSP_101'] . "</a>") . "</td>\n";
echo "<td class='" . ($page == "channels" ? "tbl2" : "tbl1") . "'>" . ($page == "channels" ? $locale['SSP_102'] : "<a href='" . FUSION_SELF . $aidlink . "&amp;page=channels'>" . $locale['SSP_102'] . "</a>") . "</td>\n";
if ($ssp_setting['enable_covers'] == '1') {
    echo "<td class='" . ($page == "covers" ? "tbl2" : "tbl1") . "'>" . ($page == "covers" ? $locale['SSP_103'] : "<a href='" . FUSION_SELF . $aidlink . "&amp;page=covers'>" . $locale['SSP_103'] . "</a>") . "</td>\n";
}
echo "</tr>\n</table>\n";

@include(__DIR__ . "/" . $page . ".php");
