<?php
require(__DIR__."/../../../../maincore.php");

header("Expires: Sat, 05 Nov 2005 00:00:00 GMT");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

include(INFUSIONS."sendeplan/infusion_db.php");

$sp_setting = dbarray(dbquery("SELECT * FROM `".$sendeplan_db['table_settings']."` WHERE `profile` = 'default'"));
global $sp_setting;
if(IsSet($sp_id) && strlen($sp_id) == 1 && IsNum($sp_id)) {
	$id = ($sp_id*1);
}
if(!IsSet($sp_id) || $sp_id=='0') { $id = ""; }

include(INFUSIONS."sendeplan/sp_functions.php");
include(INFUSIONS."sw_streamstatus1_panel/sw_functions.php");

// convert current timestamp using global offset settings
$timestamp = (time() + (3600*$settings['timeoffset']));
if(IsSet($settings['serveroffset'])) { $timestamp += (3600*$settings['serveroffset']); }
// IMPORTTANT: generate dateformat in gmt for db tables (without MESZ changes!)
$requestday = gmmktime(12,0,0,date("m",$timestamp),date("d",$timestamp),date("Y",$timestamp));

$newday = $requestday;

for ($s=0;$s<=14;$s++) {	
  	if(!tblexists_day($newday+($s*(3600*24)))) create_day($newday+($s*(3600*24)));
}
// request available entries and store them in array
$result = dbquery("SELECT * FROM `".$sendeplan_db['table_schedules']."` WHERE `day` = ".$newday);
$rows = dbrows($result);
if ($rows == 0) { $tmp = "1"; }
else {
	$entry = dbarray($result);
	if($entry[date("G",$timestamp)]=="") { $tmp=1; }
	else {
    $tmp2 = explode(".",$entry[date("G",$timestamp)]);
    $tmp = $tmp2[1];
  }	
}

$result = dbquery("SELECT * FROM `".$sendeplan_db['table_shows']."` WHERE `ID` = '".$tmp."'");
$rows = dbrows($result);
if ($rows != 0) { $data = dbarray($result); 
 echo "<a href='".$settings['siteurl']."/infusions/sendeplan/sendeplan.php#onair' title='Sendeplan anzeigen'>".$data['title']."</a>";
}
else { echo "<em>Aktuell keine Sendung</em>"; }
