<?php
/*
Dieses Script gibt das Bild des akt. sendenden DJs aus.
Nachfolgend einige aenderbare Konfigurations-Parameter, ggfs. anpassen.
*/
// der Ordnername des Sendeplanes in "/infusions/", Standard ist "sendeplan"
$sendeplan_ordnername = "sendeplan";

/*
Ab hier muss nichts mehr geaendert werden!
*/
require("../../../../maincore.php");

header("Expires: Sat, 05 Nov 2005 00:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

include(INFUSIONS . $sendeplan_ordnername . "/infusion_db.php");
include(INFUSIONS . $sendeplan_ordnername . "/sp_functions.php");

$sp_setting = dbarray(dbquery("SELECT * FROM `" . $sendeplan_db['table_settings'] . "` WHERE `profile` = 'default'"));
global $sp_setting;
if (isset($sp_id) && strlen($sp_id) == 1 && IsNum($sp_id)) {
	$id = ($sp_id * 1);
}
if (!isset($sp_id) || $sp_id == '0') {
	$id = "";
}

//date_default_timezone_set($settings['default_timezone']);
$timestamp = time();
// convert current timestamp using global offset settings
if (isset($settings['serveroffset'])) {
	$timestamp += (3600 * $settings['serveroffset']);
}
// IMPORTTANT: generate dateformat in gmt for db tables (without MESZ changes!)
$requestday = gmmktime(12, 0, 0, date("m", $timestamp), date("d", $timestamp), date("Y", $timestamp));

$newday = $requestday;

// request available entries and store them in array
$tmp = '0';
$result = dbquery("SELECT * FROM `" . $sendeplan_db['table_schedules'] . "` WHERE `day` = " . $newday);
$rows = dbrows($result);
if ($rows != 0) {
	$entry = dbarray($result);
	if (empty($entry[date("G", $timestamp)])) {
		$tmp = 0;
	} else {
		$tmp2 = explode(".", $entry[date("G", $timestamp)]);
		$tmp = $tmp2[0];
	}
}

$result = dbquery("SELECT * FROM `" . $sendeplan_db['table_djinfos'] . "` WHERE `user_id` = '" . $tmp . "'");
$rows = dbrows($result);
if ($rows != 0) {
	$data = dbarray($result);
	if (!empty($data['user_avatar'])) {
		echo "<img class='onair-img' src='" . $settings['siteurl'] . "infusions/" . $sendeplan_ordnername . "/images/dj-avatars/" . $data['user_avatar'] . "' alt='Now on air'/>";
	} else {
		echo "<img class='onair-img' src='" . $settings['siteurl'] . "infusions/" . $sendeplan_ordnername . "/images/dj-avatars/nopic.png' alt='Now on air' />";
	}
} else {
	echo "<img class='onair-img' src='" . $settings['siteurl'] . "infusions/" . $sendeplan_ordnername . "/images/dj-avatars/nopic.png' alt='Now on air' />";
}
