<?php
require("../../../../maincore.php");

header("Expires: Sat, 05 Nov 2005 00:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

//$basedir=stripinput($_GET['basedir']);
$basedir = BASEDIR;

include(INFUSIONS . "sendeplan/infusion_db.php");

$sp_setting = dbarray(dbquery("SELECT * FROM `" . $sendeplan_db['table_settings'] . "` WHERE `profile` = 'default'"));
global $sp_setting;
if (isset($sp_id) && strlen($sp_id) == 1 && IsNum($sp_id)) {
	$id = ($sp_id * 1);
}
if (!isset($sp_id) || $sp_id == '0') {
	$id = "";
}

include(INFUSIONS . "sendeplan/sp_functions.php");
//(INFUSIONS."sw_streamstatus1_panel/sw_functions.php");

date_default_timezone_set($settings['default_timezone']);
$timestamp = time();
// convert current timestamp using global offset settings
if (isset($settings['serveroffset'])) {
	$timestamp += (3600 * $settings['serveroffset']);
}
// IMPORTTANT: generate dateformat in gmt for db tables (without MESZ changes!)
$requestday = gmmktime(12, 0, 0, date("m", $timestamp), date("d", $timestamp), date("Y", $timestamp));

$newday = $requestday;

// request available entries and store them in array
$tmp = "0";
$result = dbquery("SELECT * FROM `" . $sendeplan_db['table_schedules'] . "` WHERE `day` = " . $newday);
$rows = dbrows($result);
if ($rows != 0) {
	$entry = dbarray($result);
	//echo $entry[date("H",$newday)];
	if ($entry[date("G", $timestamp)] == "") {
		$tmp = 0;
	} else {
		$tmp2 = explode(".", $entry[date("G", $timestamp)]);
		$tmp = $tmp2[0];
	}
}

//echo "OnAir: ";
if ($tmp != 0) {
	$result = dbquery("SELECT * FROM `" . DB_USERS . "` WHERE `user_id` = '" . $tmp . "'");
	$rows = dbrows($result);
	if ($rows != 0) {
		$data = dbarray($result);
		echo "<a href='" . $basedir . "profile.php?lookup=" . $data['user_id'] . "'>" . $data['user_name'] . "</a>";
	}
	// User ist kein AutoDJ aber User-ID nicht mehr vorhanden
	else {
		echo $sp_setting['autodj_name'];
	}
} else {
	// ID=0, also AutoDJ
	echo $sp_setting['autodj_name'];
}
